%define oname DevIL
%define major 1
%define libIL %mklibname IL %{major}
%define libILU %mklibname ILU %{major}
%define libILUT %mklibname ILUT %{major}
%define devname %mklibname %{name} -d

%define __noautoreq 'devel\\(liballeg.*'

Summary:	Open source image library
Name:		devil
Version:	1.7.8
Release:	13
License:	LGPLv2+
Group:		System/Libraries
Url:		http://openil.sourceforge.net/
Source0:	http://downloads.sourceforge.net/openil/%{oname}-%{version}.tar.gz
Patch0:		devil-1.7.8-CVE-2009-3994.patch
Patch1:		devil-1.7.8-libpng15.patch
BuildRequires:	file
BuildRequires:	libtool
BuildRequires:	giflib-devel
BuildRequires:	jpeg-devel
BuildRequires:	mng-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(allegro)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

#----------------------------------------------------------------------------

%package utils
Summary:	Tools provided by %{oname}
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description utils
This package contains tools provided by %{oname}.

%files utils
%{_bindir}/ilur

#----------------------------------------------------------------------------

%package -n %{libIL}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Conflicts:	%{_lib}devil1 < 1.7.8-11
Obsoletes:	%{_lib}devil1 < 1.7.8-11

%description -n %{libIL}
This package contains the shared library for %{oname}.

%files -n %{libIL}
%{_libdir}/libIL.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libILU}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Conflicts:	%{_lib}devil1 < 1.7.8-11

%description -n %{libILU}
This package contains the shared library for %{oname}.

%files -n %{libILU}
%{_libdir}/libILU.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libILUT}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Conflicts:	%{_lib}devil1 < 1.7.8-11

%description -n %{libILUT}
This package contains the shared library for %{oname}.

%files -n %{libILUT}
%{_libdir}/libILUT.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C
Requires:	%{libIL} = %{EVRD}
Requires:	%{libILU} = %{EVRD}
Requires:	%{libILUT} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}devel-static-devel < 1.7.8-11

%description -n %{devname}
Development headers and libraries for writing programs using %{oname}.

%files -n %{devname}
%doc AUTHORS CREDITS ChangeLog Libraries.txt README.unix
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/IL
%{_infodir}/*.info.*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

chmod 644 AUTHORS CREDITS ChangeLog Libraries.txt README.unix

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -ffast-math -fomit-frame-pointer -fexpensive-optimizations"
# using autogen.sh results in configure failing with a problem in
# ADD_CFLAGS, as of 0.7.3 - AdamW 2008/12
#autoreconf

%configure2_5x \
	--disable-static \
	--enable-shared \
	--enable-IL \
	--enable-ILU \
	--enable-ILUT \
%ifnarch ix86
	--enable-x86_64 \
	--enable-sse \
	--enable-sse2 \
	--disable-sse3 \
%else
	--enable-x86 \
	--disable-x86_64
	--disable-sse \
	--disable-sse2 \
	--disable-sse3 \
%endif
	--with-x \
	--with-zlib=yes \
	--enable-release

%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.7.8-13
+ Revision: ab8b2d8
- MassBuild#440: Increase release tag


